betway必威-betway必威官方网站
做最好的网站

yii2安装详细流程,关系工具

1.环境检查,请确认你的环境已安装了Composer,Composer 是 PHP 的一个依赖管理工具,通过下面的命令来设置镜像

本文为大家分享了yii2安装流程,供大家参考,具体内容如下

PHP Composer 安装

命令:composer config -g repo.packagist composer https://packagist.phpcomposer.com

yii2 的资料很少,在网上搜了很多资料,综合着安装完之后,才发现他们都很不全面,以至于走了很多弯路

系统需求:

镜像参考地址:

下面我把完整的安装流程介绍给大家:

Composer 需要PHP5.3.2 以上的环境来运行。有几个敏感的PHP设置和编译标志也是必需的,但安装程序会发出警告当存在任何不兼容的情况。

截图效果:

前提:*非常重要,你的php版本必须是php5.4以上*

比如PHP的扩展的要求是,安装或重新编译php without –disable-phar

betway必威官方网站 1

1.首先需要下载应用模板,分为基础模板和高级应用模板,这里我以高级应用模板为例子:

为了从源地址安装软件包,而不是简单的压缩文件包,您将需要安装软件包的版本控制工具,比如git、svn或hg等。

2.下载tp5框架

去这里下载高级应用模板

Composer 是兼容多平台的,其运行适用于Windows,Linux和OSX。

命令:composer create-project topthink/think=5.0.* tp5 --prefer-dist

2.下载完之后解压放在www目录我是放在 D:wampwwwyii2advanced

安装失败的错误消息:

说明:tp5是项目名称,可以根据你的需要进行修改,我的这个tp5文件夹会被下载到E:wampwww这个目录下

cmd dos命令进入这个D:wampwwwyii2advanced下:

curl -sS https://getcomposer.org/installer | PHP 
#!/usr/bin/env php 
some settings on your machine make Composer unable to work properly. 
Make sure that you fix the issues listed below and run this script again:

The phar extension is missing. 
Install it or recompile php without –disable-phar

Your PHP (5.2.9) is too old, you must upgrade to PHP 5.3.2 or higher.

截图效果:

betway必威官方网站 2

我的本地默认开发环境是PHP 5.2.9,当我尝试在PHP 5.2.9上安装时,提示版本过低,需要升级到PHP 5.3.2 或者更高的版本。

betway必威官方网站 3

3.运行 php -r "readfile('');" | php

betway必威官方网站,于是我下载XAMPP 1.7.7 usb lite 版本。

3.进入E:wampwww目录中查看已经下载好的tp5框架

betway必威官方网站 4

E:USBDropboxphpstormphp53>E:USBxampp_177phpphp.exe -v 
PHP 5.3.8 (cli) (built: Aug 23 2011 11:50:20) 
Copyright (c) 1997-2011 The PHP Group 
Zend Engine v2.3.0, Copyright (c) 1998-2011 Zend Technologies

截图效果:

4.这是就在D:wampwwwyii2advanced目录下面下载了一个composer.phar文件,有了这个文件就可以执行php composer.phar命令了,提示:

XAMPP 1.7.7 下的PHP环境是5.3.8。确认我的PHP环境大于等于PHP5.3.2后。

betway必威官方网站 5

betway必威官方网站 6

PHP 5.3 安装 Composer

4.启动服务并访问

5.运行php composer.phar global require "fxp/composer-asset-plugin:1.0.0-beta3"这个命令,这个命令式升级模板应用的,一定要执行,否则访问会出错,如果 报 Nothing to install or update这个错误,就跳过此步骤,无需更新了

E:USBDropboxphpstormphp53>curl -sS https://getcomposer.org/installer | E:USBxampp_177phpphp.exe 
#!/usr/bin/env php 
Some settings on your machine may cause stability issues with Composer. 
If you encounter issues, try to change the following:

The openssl extension is missing, which will reduce the security and stability o 
f Composer. 
If possible you should enable it or recompile php with –with-openssl

Downloading…

Composer successfully installed to: E:USBDropboxphpstormphp53composer.phar 
Use it: php composer.phar

访问地址:http://localhost/tp5/public/

betway必威官方网站 7

注意:

截图效果:

6.准备所有插件!!非常重要,少了这步一切都会失败
执行命令:php composer.phar global require "fxp/composer-asset-plugin:1.0.0"

我关闭了XAMPP 1.7.7 Apache的SSL模块,所以Composer提示我警告,为了安全因素建议我开启SSL模块。不开启也不影响使用。
安装时的参数 | PHP,一定要更改为真实的PHP环境路径,比如 | E:USBxampp_177phpphp.exe
使用Composer为PHP路径 命令,在我们安装的环境中,使用方法为:E:USBxampp_177php/php.exe composer.phar 命令。
我安装的环境是在Windows下,如果在Linux下,而PHP 5.3 环境也不在默认PHP命令下时,应该采用 | /usr/php/53/usr/bin/php,例如:

betway必威官方网站 8

betway必威官方网站 9

curl -sS https://getcomposer.org/installer | /usr/php/53/usr/bin/php

本文由betway必威发布于编程开发,转载请注明出处:yii2安装详细流程,关系工具

TAG标签: betway必威
Ctrl+D 将本页面保存为书签,全面了解最新资讯,方便快捷。